#!/bin/bash
export GOTO_NUM_THREADS=$RD_BLASNUM
source /usr/local1/bin/env_local1.sh
bsub -q $RD_QUEUENAME \
     -n $RD_CPUS \
     -o $RD_BASENAME/$RD_BASENAME.out \
     -e $RD_BASENAME/$RD_BASENAME.err \
     -ext "SLURM[nodes=$RD_NODE]" \
     mpirun2 -spawn -srun -n1 \
            R CMD BATCH --no-save $RD_BASENAME/$RD_BASENAME.R \
	                          $RD_BASENAME/$RD_BASENAME.Rout
