function rdweb_cutparm(line,key){
    var m_text = line.match(key + "[0-9]+");
    var m_num = parseInt(m_text[0].substr(key.length),10);
    return(m_num);
}

function rdweb_replace_useSlave(form)
{
    var queue_cpu = parseInt(rdweb_cutparm(form.useQueue.options[form.useQueue.selectedIndex].text,"CPU="),10);

    // suppress useSlave selected
    for( i=form.useSlave.selectedIndex ;
         ( i>0 &&
	   queue_cpu < parseInt(document.Rdweb.MANAGER_COUNT.value,10) + parseInt(form.useSlave.options[i].value,10)
	 ) ;
	 i--){
	form.useSlave.selectedIndex--;    
    }
    // suppress useSlave values
    for ( i=0 ; i < form.useSlave.options.length ; i++)
    {
        if ( queue_cpu < parseInt(document.Rdweb.MANAGER_COUNT.value,10)  + parseInt(form.useSlave.options[i].value,10) ){
	    form.useSlave.options[i].style.visibility = 'hidden';
	    form.useSlave.options[i].style.backgroundColor = 'gray';
	}else{
	    form.useSlave.options[i].style.visibility = 'visible';
	    form.useSlave.options[i].style.backgroundColor = '';
	}
    }
}

function rdweb_replace_useBLAS(form)
{
    var queue_cpu = parseInt(rdweb_cutparm(form.useQueue.options[form.useQueue.selectedIndex].text,"CPU="),10);
    // suppress useBLAS selected
    for( i=form.useBLAS.selectedIndex ;
         ( i>0 &&
	   queue_cpu < (parseInt(document.Rdweb.MANAGER_COUNT.value,10)  + parseInt(form.useSlave.options[form.useSlave.selectedIndex].value,10))
	                                                              * parseInt(form.useBLAS.options[i].value,10)
	 ) ;
	 i--){
        form.useBLAS.selectedIndex--;
    }

    // suppress useBLAS values
    for ( i=0 ; i < form.useBLAS.options.length ; i++)
    {
        if ( queue_cpu < (parseInt(document.Rdweb.MANAGER_COUNT.value,10)  + parseInt(form.useSlave.options[form.useSlave.selectedIndex].value,10))
	                                                                * parseInt(form.useBLAS.options[i].value,10) ){
	    form.useBLAS.options[i].style.visibility = 'hidden';
	    form.useBLAS.options[i].style.backgroundColor = 'gray';
	}else{
	    form.useBLAS.options[i].style.visibility = 'visible';
	    form.useBLAS.options[i].style.backgroundColor = '';
	}
    }
}

function rdweb_check_useQueue(form)
{
    rdweb_replace_useSlave(form);
    rdweb_replace_useBLAS(form);
    return(true);
}
function rdweb_check_useSlave(form)
{
    rdweb_replace_useSlave(form);
    rdweb_replace_useBLAS(form);
    return(true);
}
function rdweb_check_useBLAS(form)
{
    rdweb_replace_useBLAS(form);
    return(true);
}

function rdweb_check_all(form)
{
    var queue_cpu = parseInt(rdweb_cutparm(form.useQueue.options[form.useQueue.selectedIndex].text,"CPU="),10);
    var slave = parseInt(form.useSlave.options[form.useSlave.selectedIndex].value,10);
    var blas = parseInt(form.useBLAS.options[form.useBLAS.selectedIndex].value,10);


    if (queue_cpu <  ( parseInt(document.Rdweb.MANAGER_COUNT.value,10)  + slave ) * blas ){
        alert("require " + (( parseInt(document.Rdweb.MANAGER_COUNT.value,10)  + slave ) * blas ) + " cpus.\n" +
              "Available CPU in a " + form.useQueue.options[form.useQueue.selectedIndex].text + " is to " + queue_cpu + "." );
        return(false);
    }
    return(true);
}
