#!/bin/bash
#PBS -q $RD_QUEUENAME
#PBS -l ncpus=$RD_CPUS
#PBS -o $RD_BASENAME/$RD_BASENAME.out
#PBS -e $RD_BASENAME/$RD_BASENAME.err
export LAMRSH=/usr/bin/rsh
export LAM_MPI_SESSION_PREFIX=$HOME
export LAM_MPI_SESSION_SUFFIX=$$
export GOTO_NUM_THREADS=$RD_BLASNUM
mpiexec -machinefile $PBS_NODEFILE -np 1 \
	R CMD BATCH --no-save	$RD_BASENAME/$RD_BASENAME.R \
				$RD_BASENAME/$RD_BASENAME.Rout
