#!/bin/bash
#@class=$RD_QUEUENAME
#@job_type=$RD_JOBTYPE
#@node=$RD_NODE
#@total_tasks=$RD_TASKS
#@resources=ConsumableCpus($RD_BLASNUM)
#@output=$RD_BASENAME/$RD_BASENAME.out
#@error=$RD_BASENAME/$RD_BASENAME.err
#@environment=COPY_ALL
#@queue
export LAM_MPI_SESSION_SUFFIX=$$
source /usr/local1/bin/env_local1.sh
export GOTO_NUM_THREADS=$RD_BLASNUM
mpiexec -boot -boot-args "-prefix /usr/local1" N \
              R CMD BATCH --no-save $RD_BASENAME/$RD_BASENAME.R \
	                            $RD_BASENAME/$RD_BASENAME.Rout
